<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Transaksi extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model(array('Transaksi_model','konsumen_model','kunjungan_model','depot_model'));
        $this->load->library(array('form_validation','custom_library'));
		$this->load->helper('date');
		
		if($this->session->userdata('logged_in') != TRUE){
			$data['message'] = "Akses ditolak, silahkan login terlebih dahulu. !!";
			redirect('login');
		}
    }

    public function index($id_konsumen)
    {
        $this->show_all();
    }
	public function show_all()
    {
        $this->db->select('tbl_prospect.*,
                tbl_user.*,
                tbl_konsumen.*,
                tbl_prospect_detail.*,
                tbl_product.nama_product
            ');
        $this->db->from('tbl_prospect');
        $this->db->join('tbl_user','tbl_user.id_user = tbl_prospect.id_user','LEFT');
        $this->db->join('tbl_konsumen','tbl_konsumen.id_konsumen = tbl_prospect.id_konsumen','LEFT'); 
        $this->db->join('tbl_prospect_detail','tbl_prospect_detail.id_prospect = tbl_prospect.id_prospect','LEFT'); 
        $this->db->join('tbl_product','tbl_product.id_product = tbl_prospect_detail.id_product','LEFT');
        //$this->db->where('tbl_prospect.tgl_PO','IS NULL',false);
        $this->db->where('tbl_prospect.tgl_PO =', NULL, FALSE);
        if ($this->session->userdata('level') != 1 ){
            $this->db->where("tbl_prospect.id_user",$this->session->userdata('id_user'));
        }
        $data['list_data'] = $this->db->get()->result_array();
        $data['title'] = "Data Transaksi";
        
        $data['field_primary'] = 'id_prospect';
        $data['field'] =array(
            'id_prospect'=>'ID Prospek',
			'tgl_prospect'=>'Tgl Prospek',
			'nama_perusahaan'=>'Konsumen',
			//'user'=>'User',
            'nama_product'=>'Nama Produk',
            'qty'=>'Qty',
            'harga_satuan'=>'Harga Satuan',
			'probability'=>'Probability',
			'estimasi_PO'=>'Estimasi PO',
			'nominal_PO'=>'Nominal PO',
			'tgl_PO'=>'Tgl PO',
			'keterangan'=>'Keterangan',
			'nama_user'=>'Sales',


        );

        $data['page'] = "display_report";
        $this->load->view('admin/index', $data);
    }

    public function show_all_PO()
    {
        $this->db->select('tbl_prospect.*,
                tbl_user.*,
                tbl_konsumen.*,
                tbl_prospect_detail.*,
                tbl_product.nama_product
            ');
        $this->db->from('tbl_prospect');
        $this->db->join('tbl_user','tbl_user.id_user = tbl_prospect.id_user','LEFT');
        $this->db->join('tbl_konsumen','tbl_konsumen.id_konsumen = tbl_prospect.id_konsumen','LEFT'); 
        $this->db->join('tbl_prospect_detail','tbl_prospect_detail.id_prospect = tbl_prospect.id_prospect','LEFT'); 
        $this->db->join('tbl_product','tbl_product.id_product = tbl_prospect_detail.id_product','LEFT');
        //$this->db->where('tbl_prospect.tgl_PO','IS NULL',false);
        $this->db->where('tbl_prospect.tgl_PO <>', NULL, FALSE);
        $this->db->where('tbl_prospect_detail.status ', 'deal');
        if ($this->session->userdata('level') != 1 ){
            $this->db->where("tbl_prospect.id_user",$this->session->userdata('id_user'));
        }
        $data['list_data'] = $this->db->get()->result_array();
        $data['title'] = "Data Transaksi";
        
        $data['field_primary'] = 'id_prospect';
        $data['field'] =array(
            'id_prospect'=>'ID Prospek',
            'tgl_prospect'=>'Tgl Prospek',
            'nama_perusahaan'=>'Konsumen',
            //'user'=>'User',
            'nama_product'=>'Nama Produk',
            'qty'=>'Qty',
            'harga_satuan'=>'Harga Satuan',
            'probability'=>'Probability',
            'estimasi_PO'=>'Estimasi PO',
            'nominal_PO'=>'Nominal PO',
            'tgl_PO'=>'Tgl PO',
            'keterangan'=>'Keterangan',
            'nama_user'=>'Sales',


        );

        $data['page'] = "display_report";
        $this->load->view('admin/index', $data);
    }

}

/* End of file Transaksi.php */
/* Location: ./application/controllers/Transaksi.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-08-17 17:11:04 */
/* http://harviacode.com */